/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/*Header*/

/*HIDE ENGLISH LANGUAJE MENU SWITCHER*/

#menu-item-12930-en,
#menu-item-12929-en {
  display: none;
}

.menu-item-12930-en,.menu-item-12929-en {
	display: none;
}

.navigation-branding img, .site-logo.mobile-header-logo img {
  height: 70px;
	padding: 5px 0;
}

/*Icons social links top bar*/

#menu-social-menu {
	position: absolute;
    top: -70px;
    right: -85px;
    width: 85px;
}

#menu-social-menu .menu-item{
	margin-bottom: 5px;
}

#menu-social-menu .menu-item a{
	line-height: 22px;
}

.lsi-social-icons li a {
    padding: 2px !important;
}

.secondary-navigation ul {
	padding-bottom: 5px;
}

@media (max-width: 1100px) {
	#menu-social-menu {
		position: static;
		top: 0;
		right: 0;
		width: auto;
		text-align: center;
	}
}

/*Rotating earth*/

#earth2 {
  /* [1] Allow it to contain the absolutely positions pseudo-elements (later-on) */
  position: relative;

  /* [2] Set-up the dimensions and spacing */
  width: 300px;
  height: 300px;
  margin: 3em auto;
  position: relative;
  overflow: hidden;
  box-shadow: inset 20px 0 80px 6px rgba(0, 0, 0, 1);
  transform: translate3d(0, 0, 0);
  border-radius: 50%;
}

#earth2 .inner-earth {
  height: 300px;
  width: 8600px;
  background: url(https://cblingua.com/wp-content/uploads/2020/06/winkel-tripel-v2.jpg);
  background-repeat: repeat-x;
  position: absolute;
  top: 0;
  right: 0;
  height: 100%;
  transform: translate3d(0, 0, 0);
  animation: moveSlideshow 50s linear infinite;
}

#earth2:after {
  /* [1] Break the flow to show this as an overlay */
  position: absolute;
  top: 0;
  left: 0;

  /* [2] Make it take all the space available in the box (ahem... globe!) */
  width: 100%;
  height: 100%;

  /* [3] Make sure this has no generated content, as we want this just for fancy purposes */
  content: '';

  /* [4] Give it some shape and shadow */
  border-radius: 50%;
  box-shadow: -80px 15px 80px 10px rgba(0,0,0,.9) inset;
}

#earth2:before {
  /* [1] Again, break the flow to show this as an overlay */
  position: absolute;
  top: 0;
  left: 0;

  /* [2] Again, give it all the available space */
  width: 100%;
  height: 100%;

  /* [3] Duh. */
  content: '';

  /* [4] Add some shape and overlay effect to it */
  opacity: .2;
  border-radius: 50%;
  background: radial-gradient(circle at 100px 100px, #fff, #000);
}

@keyframes moveSlideshow {
  100% { 
    transform: translateX(66.6666%);  
  }
}

.grid-earth {
  position: relative;
}

.grid-earth .claim-cblingua {
    color: rgba(255,255,255,0.7);
    text-align: center;
    font-size: 34px;
    position: absolute;
    top: 300px;
    left: 47%;
    transform: translateX(-47%);
    font-weight: 700;
}

@media (max-width: 1024px) {
	#earth2 {
		margin: 0 auto 1.8em auto;
    }
	.grid-earth .claim-cblingua {
		top: 250px;
		left: 49%;
	}
}

@media (max-width: 480px) {
	#earth2 {
		margin-bottom: 2.5em;
		width: 250px;
		height: 250px;
  }
	.grid-earth .claim-cblingua {
		top: 215px;
	}
}

/*Slider español*/
.slider-portada .n2-ss-layers-container {
	margin-top: 0 !important;
	margin-bottom: 0 !important;
}

/*Imagen index */

.grid-image-index {
	position: relative;	
}

.first-block {
	position:absolute;
	top: 35%;
	left: 18%;
	transform: translate(-18%,-35%);
	text-transform: uppercase;
	color: white;
	border: 2px solid white;
    padding: 10px;
    min-width: 180px;
	background-color: rgba(9, 34, 55, 0.75);
	text-align: center;
	z-index: 99;
}

.second-block {
position: absolute;
    top: 35%;
    left: 80%;
    transform: translate(-80%,-35%);
    text-transform: uppercase;
    color: white;
    border: 2px solid white;
    padding: 10px;
    min-width: 180px;
	background-color: rgba(9, 34, 55, 0.75);
	text-align: center;
	z-index: 99;
}

.third-block {
    position: absolute;
    left: 20%;
	bottom: 2%;
    transform: translate(-20%,-2%);
    text-transform: uppercase;
    color: white;
    border: 2px solid white;
    padding: 10px;
    min-width: 180px;
	background-color: rgba(9, 34, 55, 0.75);
	text-align: center;
	z-index: 99;
}

.fourth-block {
	position:absolute;
	bottom: 2%;
	left: 80%;
	transform: translate(-80%,-2%);
	text-transform: uppercase;
	color: white;
	border: 2px solid white;
    padding: 10px;
    min-width: 180px;
	background-color: rgba(9, 34, 55, 0.75);
	text-align: center;
	z-index: 99;
}

@media (max-width: 1025px) {
	.first-block {
	top: 25%;
    left: 30%;
    transform: translate(-30%,-25%);
	font-size: 14px;
	min-width: 0;
}

.second-block {
    top: 25%;
    left: 69%;
    transform: translate(-69%,-25%);
	font-size: 14px;
	min-width: 0;
}

.third-block {
    left: 30%;
    bottom: 20%;
    transform: translate(-30%,20%);
	font-size: 14px;
	min-width: 0;
}

.fourth-block {
    bottom: 20%;
    left: 69%;
    transform: translate(-69%,20%);
	font-size: 14px;
	min-width: 0;
}

}


@media (max-width: 770px) {
	.first-block {
	top: 25%;
    left: 20%;
    transform: translate(-20%,-25%);
	font-size: 14px;
	max-width: 100px;
}

.second-block {
    top: 25%;
    left: 79%;
    transform: translate(-79%,-25%);
	font-size: 14px;
	max-width: 100px;
}

.third-block {
    left: 20%;
    bottom: 20%;
    transform: translate(-20%,20%);
	font-size: 14px;
	max-width: 100px;
}

.fourth-block {
    bottom: 20%;
    left: 79%;
    transform: translate(-79%,20%);
	font-size: 14px;
	max-width: 100px;
}

}

@media (max-width: 480px) {
	.first-block {
	top: 20%;
    left: 12%;
    transform: translate(-12%,-20%);
	font-size: 12px;
	width: 100px;
}

.second-block {
    top: 20%;
    left: 87%;
    transform: translate(-87%,-20%);
	font-size: 12px;
	width: 100px;
}

.third-block {
    left: 12%;
    bottom: 13%;
    transform: translate(-12%,13%);
	font-size: 12px;
	width: 100px;
}

.fourth-block {
    bottom: 13%;
    left: 87%;
    transform: translate(-87%,13%);
	font-size: 12px;
	width: 100px;
}

}

@media (max-width: 350px) {
	.first-block {
	top: 18%;
    left: 10%;
    transform: translate(-10%,-18%);
}

.second-block {
    top: 18%;
    left: 89%;
    transform: translate(-89%,-18%);
}

.third-block {
    left: 10%;
    bottom: 11%;
    transform: translate(-10%,11%);
}

.fourth-block {
    bottom: 11%;
    left: 89%;
    transform: translate(-89%,11%);
}

}

@media (max-width: 320px) {
	.first-block {
	top: 18%;
    left: 8%;
    transform: translate(-8%,-18%);
}

.second-block {
    top: 18%;
    left: 91%;
    transform: translate(-91%,-18%);
}

.third-block {
    left: 8%;
    bottom: 11%;
    transform: translate(-8%,11%);
}

.fourth-block {
    bottom: 11%;
    left: 91%;
    transform: translate(-91%,11%);
}

}

.wrapper-outer {
	display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

/*Footer*/

.wrap-link a{
	display: block;
}

.city {
	margin-bottom: 15px;
}

.city_name {
	margin-bottom: 5px;
	color:#fff;
    font-size:20px;
    font-weight:500;
}

.img-100 {
	width: 100%;
	height: auto;
}

.pt-cv-wrapper .btn-success {
    color: #fff;
    background-color: #0c3752;
    border-color: #0c3752;
}

.widget_recent_entries ul li:before{
	font-family: FontAwesome;
    content: "\f0da";
	position:absolute;
	left: -15px;
    top: 0;
}

.blockquote-yellow {
	background-color: #fde78f;
}

.footer-link-custom {
	text-decoration: underline;
}

.footer-widgets a:hover {
	text-decoration: underline !important;
}

.footer-widgets .widget-title {
	font-size: 28px;
}

/*Lista personalizada*/
.checkmark-list {
	list-style:none;
	padding-left: 20px;
	position: relative;
}

.checkmark-list li:before {
    content: '\2714\0020';
    color: #b61515;
    position: absolute;
		left: 0;
}

/*CSS personalized*/
g {
	fill: #ffd700;
}
.gb-icon {
	color: #ffd700;
}

.image-absolute {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
}

.seal-image figcaption{
	text-align: center;
}

.position-relative {
	position: relative;
}

.fa-1 {
	font-size: 1em !important;
}

.fa-2 {
	font-size: 2em !important;
}

.fa-3 {
	font-size: 4em !important;
}

.fa-4 {
	font-size: 7em !important;
}

body p {
	text-align: justify;
}

.pa-align-left {
	text-align: left !important;
}

.fa-center {
	display:block !important;
	text-align: center;
	margin: 10px auto 20px auto;
}

.fa-color {
	color:#ffd700;
}

.margin-b0 {
	margin-bottom: 0;
}
.margin-b10 {
	margin-bottom: 10px !important;
}
.margin-b20 {
	margin-bottom: 20px !important;
}

.margin-b40 {
	margin-bottom: 40px !important;
}

.header-height-custom {
	min-height: 45px;
}

.read-more-icon .gb-icon {
	margin-bottom: -2px;
}

.grid-custom-block a{
	color: #0c70af;
}

.grid-custom-block a:hover{
	color: #000000;
}

.widget-img-link {
	display: block;
	margin-bottom: 20px;
}

.widget-img-link img{
	display: block;
}

.list-custom {
	list-style: none;
	display: inline-block;
	/*margin: 0px 14% 1.5em 14%;*/
}

.list-custom-left {
	text-align: left;
}


.list-custom .fa {
  min-width: 40px;
  text-align: center;
}

.header-normalize-height {
	min-height: 75px;
}

.list-custom-icons li:nth-child(1):before{
	font-family: 'FontAwesome';
    content: '\f0ac';
    margin:0 5px 0 -20px;
    color: #ffd700;
}

.list-custom-icons li:nth-child(2):before{
	font-family: 'FontAwesome';
    content: '\f219';
    margin:0 5px 0 -25px;
    color: #ffd700;
}

.list-custom-icons li:nth-child(3):before{
	font-family: 'FontAwesome';
    content: '\f09d';
    margin:0 5px 0 -25px;
    color: #ffd700;
}

.image-shadow img {
    box-shadow: 15px 15px 0px #ededed;
}

.grid-info .gb-grid-column{
	margin-bottom: 40px;
}

/*Seccion traducciones inicio*/

.custom-block .gb-inside-container{
	display:flex;
	flex-direction: column;
	height: 100%;
}

.custom-block .gb-inside-container .gb-button-wrapper{
	margin-top: auto;
}

/*Flag section*/

.flag-link-eng {
	height: 70px;
}

@media (max-width: 1336px) {
	.wrap-flags .gb-headline {
	min-height: 75px;
	}
}

@media (max-width: 1025px) {
	.wrap-flags .gb-headline {
	min-height: 40px;
	}
}

@media (max-width: 767px) {
	.wrap-flags .gb-headline {
		min-height: 30px;
  }
	.wrapper-offices .gb-grid-column{
		margin-bottom: 40px;
	}
	.header-normalize-height {
    min-height: 0;
}

}

@media (max-width: 480px) {
	.wrap-flags .gb-headline {
		min-height: 50px;
  }
	.widget-img-link img{
		width: 100%;
	}
}

@media (max-width: 375px) {
	.wrap-flags .gb-headline {
		min-height: 100px;
  }
}

.flag-list {
	text-align: center;
}

.flag-list img{
	border-radius: 20px;
  border: 5px solid;
  box-sizing: border-box;
	width: 75%;
	height: auto;
}

.ssbp-wrap {
    margin-bottom: 20px;
}

/*Blog list*/

.blog .post {
	padding-left: 20px;
	padding-right: 20px;
}

.blog .entry-header {
	display: flex;
	flex-direction: column;
}

.blog .entry-header .entry-title{
	display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
	font-weight: 700;
}

.blog .entry-header .entry-title a{
	display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

#nav-below {
    padding-left:0
}

.nav-links .page-numbers {
    min-width: 2.5em;
    line-height: 1.8em;
    padding: 5px 15px;
    box-sizing: border-box;
    display: inline-block;
    text-align: center;
	background-color: #595959;
    color: #fff !important;
}

.nav-links .page-numbers:hover {
	background-color: #547385;
}
.nav-links .page-numbers.current {
    background-color: #003c55;
}

.archive .page-title {
	margin-bottom: 40px;
	font-weight: 700;
}

.archive .post {
	padding-left: 20px;
	padding-right: 20px;
}

.archive .entry-header .entry-title{
	display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
	font-weight: 700;
}

/*Animations delay*/

.animated.delay-1-5s {
    -webkit-animation-delay: 1.5s;
    animation-delay: 1.5s;
}

.animated.delay-2-5s {
    -webkit-animation-delay: 2.5s;
    animation-delay: 2.5s;
}

.animated.delay-3-5s {
    -webkit-animation-delay: 3.5s;
    animation-delay: 3.5s;
}

p.textWithBackground {
	margin-bottom: 0.5em;
}

.entry-title {
    margin-bottom: 15px;
}

/*Presupuesto*/

.wpcf7 .formInput {
	margin-bottom: 15px;
}

.wpcf7 .labelForm {
	color: #a7a7a7;
}

.wpcf7 .lastLabel input {
	margin-bottom: 30px;
}

.wpcf7 .tipoDocumento .wpcf7-list-item {
	margin-bottom: 10px;
}

.wpcf7 .wpcf7-form-control-wrap.tipoTraduccion .wpcf7-list-item {
	display: block;
	margin-bottom: 10px;
}

/*Pagar presupuesto*/

 #wpcf7-f13271-p13276-o1 label {
    margin-bottom: 5px;
}


 #wpcf7-f13271-p13276-o1 .formInput {
	margin-top: 5px;
    width: 100%;
}

#pay-bizum {
    background-color: transparent;
    background-image: url(https://cblingua.com/wp-content/uploads/2021/01/bizum_boton_100x30.png);
    background-size: cover;
    border: none;
    width: 125px;
    height: 38px;
    text-indent: -9999px;
}

#pay-bizum:hover {
	filter: grayscale(100%);
}

.boton-bizum-personalizado {
	background-color: transparent !important;
    background-image: url(https://cblingua.com/wp-content/uploads/2021/01/bizum_boton_100x30.png);
    background-size: cover;
    border: none;
    width: 125px;
    height: 38px;
    text-indent: -9999px;
    width: 165px;
    height: 32px;
	padding: 10px 5px !important;
}
.boton-bizum-personalizado:hover {
	filter: grayscale(100%);
}